Package org.eclipse.cdt.utils.debug

## Class DebugBaseType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType
  - - org.eclipse.cdt.utils.debug.DebugBaseType

    public class DebugBaseType
    extends DebugType

DebugType

### Constructor Summary

Constructors
`DebugBaseType​(String name, int size, boolean unSigned)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getTypeName()`
`boolean` `isUnSigned()`
`int` `sizeof()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugBaseType

    public DebugBaseType​(String name,
                         int size,
                         boolean unSigned)

### Method Detail

#### getTypeName

    public String getTypeName()

#### sizeof

    public int sizeof()

#### isUnSigned

    public boolean isUnSigned()